﻿local Engine, Api, Locale, Settings = unpack(Immersive)

-- Registration
local ElvUI = Engine:RegisterModule("ElvUI")

-- Initialize the module.
function ElvUI:OnInitialize()
end

-- Called when the module is enabled.
function ElvUI:OnEnable()
	-- Unregister any elements added by the Default module
	-- that interfere or are not used.
end

-- Called when the module is disabled.
function ElvUI:OnDisable()
end

-- Register the default settings for the module.
function ElvUI:OnRegisterDefaults()
	local elvui = IsAddOnLoaded("ElvUI")
	return { Enabled = elvui }
end